%define firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%define mugshot_ext_id firefox@mugshot.org

Name:           mugshot
Version:        1.1.95
Release:        1%{?dist}
Summary:        Companion software for mugshot.org

Group:          Applications/Internet
License:        GPL
URL:            http://mugshot.org/
Source0:        http://developer.mugshot.org/download/sources/linux/mugshot-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Patching:
#
# If you add any patches to this RPM, change the define below to something like:
#
# %%define about_message "Adapted for ExampleLinux".
#
# If, however, the patches alter the user experience in significant ways or change
# the default server that the client connects to, you must remove the Mugshot
# trademarks from the source code.
#
# See http://mugshot.org/trademark for full details.
#
%define about_message ""

BuildRequires:  glib2-devel >= 2.6
BuildRequires:  gtk2-devel >= 2.6
BuildRequires:  loudmouth-devel >= 1.0.3-3
BuildRequires:  dbus-devel >= 0.61
BuildRequires:  dbus-glib-devel >= 0.61 
BuildRequires:  curl-devel >= 7.15
BuildRequires:  GConf2-devel >= 2.8
BuildRequires:  libXScrnSaver-devel
BuildRequires:  libjpeg-devel >= 6b
BuildRequires:  pcre-devel >= 6.3
BuildRequires:  gnome-desktop-devel >= 2.10.0
BuildRequires:  gnome-vfs2-devel
BuildRequires:  xulrunner-devel-unstable
BuildRequires:  desktop-file-utils
BuildRequires:  sqlite-devel >= 3.0.0
BuildRequires:  desktop-data-model-devel >= 1.2.0-2
BuildRequires:  hippo-canvas-devel >= 0.2.30

# 1.0.3-3 has a backport from 1.0.4 to fix various segfaults
Requires:       loudmouth >= 1.0.3-3

Requires(pre): GConf2
Requires(preun): GConf2
Requires(post): GConf2
Requires(post): gtk2


%description
Mugshot works with the server at mugshot.org to extend 
the panel, web browser, music player and other parts of the desktop with 
a "live social experience" and interoperation with online services you and 
your friends use. It's fun and easy.

%prep
%setup -q

%build
%configure --with-about-message=%{about_message}
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# Don't package a .la file for the component .so
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

# Run desktop-file-install to so we get validation (and to make
# things fedora-packaging-guidelines compliant)
desktop-file-install 					\
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications 	\
  --vendor=mugshot   					\
  mugshot.desktop
desktop-file-install 					\
  --dir=$RPM_BUILD_ROOT%{_datadir}/gnome/autostart 	\
  --vendor=mugshot   					\
  mugshot-autostart.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%pre
# On upgrade, remove old schemas before installing the new ones
# Note that the SCHEMAS value should be the name of any schema
# files installed by *previous* versions of this package
if [ $1 -gt 1 ] ; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    SCHEMAS="mugshot-uri-handler.schemas"

    for S in $SCHEMAS; do
        gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null || :
    done

    # Necessary for FC5/FC6 only because of 
    #  https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=214214
    killall -q -HUP gconfd-2 || :
fi

%post
# We now install our Firefox extension into a system wide location
# This is here so we remove old copies from firefox specific version locations
%{_datadir}/mugshot/firefox-update.sh remove

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="mugshot-uri-handler.schemas"

for S in $SCHEMAS; do
    gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null || :
done

touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

killall -q -HUP gconfd-2 || :

echo %{version} > %{_datadir}/mugshot/version

%preun
# On removal (but not upgrade), remove our schemas
if [ $1 = 0 ] ; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    SCHEMAS="mugshot-uri-handler.schemas"

    for S in $SCHEMAS; do
        gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null || :
    done

    killall -q -HUP gconfd-2 || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files
%defattr(-,root,root,-)
%doc LICENSE

%{_bindir}/mugshot
%{_bindir}/mugshot-uri-handler
%{_datadir}/icons/hicolor/16x16/apps/*.png
%{_datadir}/icons/hicolor/22x22/apps/*.png
%{_datadir}/icons/hicolor/24x24/apps/*.png
%{_datadir}/icons/hicolor/32x32/apps/*.png
%{_datadir}/icons/hicolor/48x48/apps/*.png
%{_datadir}/icons/hicolor/64x64/apps/*.png
%{_datadir}/icons/hicolor/128x128/apps/*.png
%{_datadir}/mugshot
%ghost %{_datadir}/mugshot/version
%{_libdir}/mozilla/extensions/%{firefox_app_id}/%{mugshot_ext_id}
%{_libexecdir}/mugshot-autostart-check
%{_datadir}/applications/mugshot.desktop
%{_datadir}/gnome/autostart/mugshot-autostart.desktop
%{_sysconfdir}/gconf/schemas/*.schemas

%changelog
* Thu Apr 24 2008 Owen Taylor <otaylor@redhat.com> - 1.1.95-1
- new upstream (Fixes #441643)

* Tue Apr 01 2008 Colin Walters <walters@redhat.com> - 1.1.93-1
- new upstream

* Wed Mar 26 2008 Christopher Aillon <caillon@redhat.com> - 1.1.92-2
- Ship the firefox extension in the system location

* Thu Mar 20 2008 Colin Walters <walters@redhat.com> - 1.1.92-1
- new upstream

* Tue Feb 26 2008 Colin Walters <walters@redhat.com> - 1.1.91-1
- new upstream

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.1.58-2
- Autorebuild for GCC 4.3

* Tue Jan 08 2008 Colin Walters <walters@redhat.com> - 1.1.58-1
- new upstream

* Thu Jan 05 2008 Colin Walters <walters@redhat.com> - 1.1.57-1
- new upstream

* Fri Oct 05 2007 Colin Walters <walters@redhat.com> - 1.1.56-1
- new upstream

* Thu Sep 27 2007 Colin Walters <walters@redhat.com> - 1.1.55-1
- new upstream

* Thu Sep 20 2007 Colin Walters <walters@redhat.com> - 1.1.54-1
- new upstream

* Thu Sep 20 2007 Colin Walters <walters@redhat.com> - 1.1.53-1
- new upstream

* Tue Sep 11 2007 Colin Walters <walters@redhat.com> - 1.1.52-2
- shuffle .sos around (b.r.c 286371)
- make devel package require dbus-devel

* Mon Sep 10 2007 Colin Walters <walters@redhat.com> - 1.1.52-1
- add devel pkg
- 1.1.52

* Thu Sep 06 2007 Colin Walters <walters@redhat.com> - 1.1.51-1
- 1.1.51

* Tue Sep  4 2007 Owen Taylor <otaylor@redhat.com> - 1.1.50-2
- Don't put two autostart files in the autostart directory
  (https://bugzilla.redhat.com/show_bug.cgi?id=274921)
  (Nils Philippsen)

* Wed Aug 21 2007 Colin Walters <walters@redhat.com> - 1.1.50-1
- 1.1.50

* Wed Aug 01 2007 Colin Walters <walters@redhat.com> - 1.1.49-1
- 1.1.49
- sqlite-devel

* Tue Jul 24 2007 Colin Walters <walters@redhat.com> - 1.1.48-1
- 1.1.48

* Thu Jul 12 2007 Owen Taylor <otaylor@redhat.com> - 1.1.47-1
- 1.1.47

* Thu Jun 28 2007 Colin Walters <walters@redhat.com> - 1.1.46-1
- 1.1.46

* Tue Jun 19 2007 Owen Taylor <otaylor@redhat.com> - 1.1.45-1
- 1.1.45

* Fri Jun 15 2007 Owen Taylor <otaylor@redhat.com> - 1.1.43-2
- Bump release to be newer than F-7 build, and rebuild

* Fri Jun 15 2007 Owen Taylor <otaylor@redhat.com> - 1.1.43-1
- 1.1.43

* Thu Apr 26 2007 Owen Taylor <otaylor@redhat.com> - 1.1.42-2
- 1.1.42

* Wed Apr 25 2007 Owen Taylor <otaylor@redhat.com> - 1.1.41-2
- Package the D-BUS service file

* Wed Apr 25 2007 Owen Taylor <otaylor@redhat.com> - 1.1.41-1
- 1.1.41

* Thu Mar 29 2007 Owen Taylor <otaylor@redhat.com> - 1.1.40-1
- 1.1.40

* Mon Mar 26 2007 Owen Taylor <otaylor@redhat.com> - 1.1.39-3
- Fix some minor 64-bit problems

* Mon Mar 26 2007 Owen Taylor <otaylor@fresnel.dumbhippo.com> - 1.1.39-1
- 1.1.39
- Package mugshot.desktop for the menus as well

* Fri Mar 23 2007 Owen Taylor <otaylor@fresnel.dumbhippo.com> - 1.1.38-1
- Create %%{_datadir}/mugshot/version at the end of %%post to avoid
  the client prematurely prompting to restart itself

* Mon Mar 19 2007 Owen Taylor <otaylor@redhat.com> - 1.1.38-1
- Don't package the .la file for libhippofirefox
- Use desktop-file-install to validate mugshot.spec and make
  the Fedora packaging guidelines happy

* Thu Mar 15 2007 Owen Taylor <otaylor@fresnel.dumbhippo.com> - 1.1.38-1
- Add coments about trademark requirements
- 1.1.38

* Thu Mar  1 2007 Owen Taylor <otaylor@redhat.com> - 1.1.37-1
- 1.1.37

* Thu Mar  1 2007 Owen Taylor <otaylor@redhat.com> - 1.1.36-1
- 1.1.36

* Wed Feb 28 2007 Owen Taylor <otaylor@redhat.com> - 1.1.35-1
- 1.1.35

* Fri Feb 16 2007 Owen Taylor <otaylor@redhat.com> - 1.1.34-1
- 1.1.34

* Fri Feb  9 2007 Owen Taylor <otaylor@redhat.com> - 1.1.33-1
- 1.1.33

* Thu Feb  1 2007 Owen Taylor <otaylor@redhat.com> - 1.1.32-1
- Version 1.1.32

* Tue Dec 19 2006 Owen Taylor <otaylor@redhat.com> - 1.1.30-1
- 1.1.30

* Fri Dec  8 2006 Owen Taylor <otaylor@redhat.com> - 1.1.29-1
- 1.1.29

* Wed Dec  6 2006 Owen Taylor <otaylor@redhat.com> - 1.1.28-1
- 1.1.28

* Wed Dec  6 2006 Owen Taylor <otaylor@redhat.com> - 1.1.27-1
- 1.1.27

* Thu Nov 30 2006 Owen Taylor <otaylor@redhat.com> - 1.1.26-1
- 1.1.26

* Tue Nov 21 2006 Owen Taylor <otaylor@redhat.com> - 1.1.25-1
- 1.1.25

* Wed Nov  8 2006 Owen Taylor <otaylor@redhat.com> - 1.1.24-1
- 1.1.24

* Mon Nov  6 2006 Owen Taylor <otaylor@redhat.com> - 1.1.23-2
- On upgrade/removal clean up GConf schemas

* Wed Nov  1 2006 Owen Taylor <otaylor@redhat.com> - 1.1.23-1
- 1.1.23

* Wed Oct 25 2006 Owen Taylor <otaylor@redhat.com> - 1.1.21-1
- 1.1.21

* Mon Oct 22 2006 Owen Taylor <otaylor@redhat.com> - 1.1.20-1
- Make work with fc6
- 1.1.20

* Mon Oct 16 2006 Havoc Pennington <hp@redhat.com> - 1.1.18-1
- 1.1.18

* Sat Oct 14 2006 Havoc Pennington <hp@redhat.com> - 1.1.17-1
- 1.1.17

* Sat Sep 26 2006 Owen Taylor <otaylor@redhat.com> - 1.1.16-1
- Fix triggers/scriptlets to work right on upgrades

* Sat Aug 19 2006 Owen Taylor <otaylor@redhat.com> - 1.1.12-1
- Add firefox extension

* Wed Jul 19 2006 Colin Walters <walters@redhat.com> - 1.1.11-1
- 1.1.11

* Wed Jul 19 2006 Colin Walters <walters@redhat.com> - 1.1.10-1
- 1.1.10

* Sat Jul 15 2006 Havoc Pennington <hp@redhat.com> - 1.1.9-1
- 1.1.9

* Thu Jul 13 2006 Havoc Pennington <hp@redhat.com> - 1.1.8-1
- 1.1.8

* Tue Jul 11 2006 Havoc Pennington <hp@redhat.com> - 1.1.7-1
- 1.1.7

* Wed Jun 28 2006 Havoc Pennington <hp@redhat.com> - 1.1.6-1
- 1.1.6

* Fri Jun  9 2006 Havoc Pennington <hp@redhat.com> - 1.1.5-1
- 1.1.5

* Mon May 29 2006 Havoc Pennington <hp@redhat.com> - 1.1.3-1
- 1.1.3

* Sat May 27 2006 Havoc Pennington <hp@redhat.com> - 1.1.2-2
- add requirement on patched loudmouth

* Fri May 26 2006 Havoc Pennington <hp@redhat.com> - 1.1.2-1
- 1.1.2

* Mon May 22 2006 Havoc Pennington <hp@redhat.com> - 1.1.1-1
- 1.1.1

* Mon May 22 2006 Havoc Pennington <hp@redhat.com> - 1.1.0-1
- Initial package

